﻿@using StarterProjectV2.Models
@*@model StarterProjectV2.ViewModels.AdditionalFamilyView*@
@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView

@{
    ViewBag.Title = "Nominee Create";
}

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
  Nominee Create
}
<body style="background-color: oldlace">
<div class="card">
    <div class="card-body" id="class-body-nominee">
        <h1 class="text-center" style="color: indianred">Owner's Nominee Information Form</h1>
        <p class="text-muted"></p>

        <button type="button" class="btn btn-success m-1 but2">Add Nominee</button>
        <form>
            <div class="children2">
                <div class="identifier0 mb-5">
                    <div class="row mb-2">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>
                        <div class="col"><input type="text" class="form-control" placeholder="NomineeName" name="ONNomineeName" id="ONNomineeName"></div>
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>
                        <div class="col"><input type="date" class="form-control" placeholder="NomineeDOB" id="ONNomineeDOB"></div>
                    </div>
                    <div class="row mb-2">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>
                        <div class="col"><input type="text" class="form-control" placeholder="NomineeEmail" name="ONNomineeEmail" id="ONNomineeEmail"></div>
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>
                        <div class="col"><input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile"></div>
                    </div>

                    <div class="row mb-2">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>
                        <div class="col"><input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress"></div>
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>
                        <div class="col"><input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress"></div>
                    </div>


                    <div class="row mb-4">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>
                        <div class="col-sm-3 col-lg-4 col-md-3 col-form"><input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID"></div>
                    </div>
                    <div class="form-group row mb-5">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>
                        <div class="container1">
                            <img id="Nominee-pic" class="" width="128" height="128" src="~/Content/nominees/base.jpg" alt="base file" />
                            <div>
                                <input id="ONNomineePicture" type="file" />
                            </div>
                        </div>
                    </div>
                    <div class="form-group row mb-5">
                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>
                        <div class="container1">
                            <img id="Nominee-NID-pic" class="" width="128" height="128" src="~/Content/nominees/base.jpg" alt="base file" />
                            <div>
                                <input id="ONNomineeNIDPath" type="file" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <button type="submit" class="btn btn-primary m-1" onclick="NomineeFullSubmit()">Submit</button>
                <button type="button" class="btn btn-danger m-1">Reset</button>
                <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
                <button type="button" class="btn btn-info m-1" onclick="gotoAttachment()">Skip</button>

            </div>
        </form>
    </div>
</div>
</body>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/FamilyCreate?OwnerId=" + '@Model.ONOwnerId';
    }
</script>
<script>
    function gotoAttachment() {
        window.location.href = "/AdditionalInformation/AttachmentCreate?OwnerId=" + '@Model.ONOwnerId';
    }
</script>
<script>
    var idx = 1;
    var addNominee = function () {
        //idx = idx + 1;
        $('.children2').append('' +
            '<div class="identifier' + idx + ' mb-5">' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeName" name="NomineeName" id="ONNomineeName">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>' +
            '<div class="col">' +
            '<input type="date" class="form-control" placeholder="Nominee Date of Birth" id="ONNomineeDOB">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeEmail" name="NomineeEmail" id="ONNomineeEmail">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-4">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>' +
            '<div class="col-sm-3 col-lg-4 col-md-3 col-form">' +
            '<input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee Picture</label>' +
            '<div class="col-sm-3 col-lg-2 col-md-3">' +
            '<input type="file" class="custom-file-input" id="ONNomineePicture" name="file" />' +
            '<label class="custom-file-label" for="upload-file-NomineePicture" id="upload-file-NomineePicture-label">Choose file</label>' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>' +
            '<div class="col-sm-3 col-lg-2 col-md-3">' +
            '<input type="file" class="custom-file-input" id="ONNomineeNIDPath" name="file" />' +
            '<label class="custom-file-label" for="upload-file-NomineeNID-Picture" id="upload-file-NomineeNIDPicture-label">Choose file</label>' +
            '</div>' +
            '</div>' +
            '<button type="button" class="btn btn-danger deleteNominee" onclick="deleteNominee(' + idx + ')" value="identifier' +
            idx + '">Delete Nominee</button></div>');
        idx = idx + 1;
    }

    // var $button = $('.button').clone();
    // $('.package').clone().appendTo($button);
    $('.but2').click(addNominee);
</script>



<script>
    function deleteNominee(idx) {
        var divname = 'identifier' + idx;
        //alert(divname);
        $('.' + divname).remove();
    }
</script>

<script>
    function NomineePictureUpload() {
        var ownerId = '@Model.ONOwnerId';
       // alert("Nom"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = [document.getElementById('ONNomineePicture')];


        var n = document.getElementById("ONNomineePicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ONNomineePicture-finished";
            n = document.getElementById("ONNomineePicture");
        }

        for(i = 0;i < a.length; ++i) {
            a[i].id = "ONNomineePicture";
        }

        for (i = 0; i < a.length; i++) {
            //alert("Nom" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            formdata.append(a[i].files[0].name, a[i].files[0], "ON_Pic_" + i + "_" + ownerId + ".jpg");
            //    }
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadNominee/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

</script>
<script>
    function NomineeNIDPictureUpload() {
        var ownerId = '@Model.ONOwnerId';
        //alert("NomNID"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdataNominee = new FormData(); //FormData object
        var fileInput = [document.getElementById('ONNomineeNIDPath')];


        var n = document.getElementById("ONNomineeNIDPath");

        var a = [];
        var i;
        //alert("NomNIDBeforeloop" + ownerId);
        while (n) {
            a.push(n);
            n.id = "ONNomineeNID-finished";
            n = document.getElementById("ONNomineeNIDPath");
        }
        //alert("NomNIDAfterloop" + ownerId);
        for (i = 0; i < a.length; ++i) {
            a[i].id = "ONNomineeNIDPath";
        }
        //alert("NomNIDAfterloop " + a.length);
        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(i);
            //alert("jjjjj"+a[i].files[0].name);
            formdataNominee.append(a[i].files[0].name, a[i].files[0], "ON_NIDPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadNominee/');
        xhr.send(formdataNominee);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

</script>
<script>
    function retrieveNominee() {
        var ONNomineeNameList = $('input[id="ONNomineeName"]').map(function () {
            return this.value;
        }).get();

        //alert(ONNomineeNameList);

        var ONNomineeDOBList = $('input[id="ONNomineeDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeDOBList);

        var ONNomineeEmailList = $('input[id="ONNomineeEmail"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeEmailList);


        var ONNomineePictureList = $('input[id="ONNomineePicture"]').map(function () {
            return this.value;
        }).get();
        //alert("owner nominee picture list"+ONNomineePictureList);


        var ONNomineeMobileList = $('input[id="ONNomineeMobile"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeMobileList);


        var ONNomineeNIDList = $('input[id="ONNomineeNID"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeNIDList);


        var ONNomineePermanentAddressList = $('input[id="ONNomineePermanentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePermanentAddressList);


        var ONNomineePresentAddressList = $('input[id="ONNomineePresentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePresentAddressList);




        var ownerId = '@Model.ONOwnerId';
        //alert(ownerId);

        var myModel = {
            //SpouseName: $('#spouseName').val(),
            OwnerId: ownerId,

            OwnerNomineeNameArray: ONNomineeNameList,
            OwnerNomineeMobileArray: ONNomineeMobileList,
            OwnerNomineeEmailArray: ONNomineeEmailList,
            OwnerNomineeDOBArray: ONNomineeDOBList,

            OwnerNomineePermanentAddressArray: ONNomineePermanentAddressList,
            OwnerNomineePresentAddressArray: ONNomineePresentAddressList,
            OwnerNomineeNIDArray: ONNomineeNIDList,
            OwnerNomineePictureArray: ONNomineePictureList

        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerNomineeInfo/',

            //url: '../OwnersInfo/OwnersNomineeInfoAddorEdit/',
            data: myModel,
            success: function (result) {
                //alert(myModel.PartialUserDetailsViewModels);
                //Fix It to go to Attachment tab
                //alert("hello In Retrieve Nominee Result");
                window.location.href = "/AdditionalInformation/AttachmentCreate?OwnerId=" + ownerId;
            },
            error: function () {
                //error();
            }
        });
    }
</script>
<script>
    function NomineeFullSubmit() {
        NomineePictureUpload();
        NomineeNIDPictureUpload();
        retrieveNominee();
    }

</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="ONNomineeNIDPath"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#Nominee-NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="ONNomineePicture"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#Nominee-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>